API Reference
Auto-generated
Scrape
API reference for scrape endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/v1/scrape/js
POST
/api/v1/scrape/jsScrape (JS render mode) [DEPRECATED]
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | Url |
| method | string | Optional | MethodDefault: GET |
| headers | object | Optional | headers |
| timeout | integer | Optional | TimeoutDefault: 90 |
| follow_redirects | boolean | Optional | Follow RedirectsDefault: True |
| wait_for | string | Optional | wait_for |
| screenshot | boolean | Optional | ScreenshotDefault: False |
| wait_until | string | Optional | Wait UntilDefault: networkidle |
| force_refresh | boolean | Optional | Force RefreshDefault: False |
| include_raw_html | boolean | Optional | Include Raw HtmlDefault: False |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/scrape/js \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"method": "example_method",
"timeout": 90,
"follow_redirects": false
}'Response Example
JSON
{
"url": "example",
"status_code": 0,
"content": "example",
"title": "example",
"published_at": "example",
"author": "example"
}POST /api/v1/scrape/light
POST
/api/v1/scrape/lightScrape (light mode) [DEPRECATED]
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | Url |
| method | string | Optional | MethodDefault: GET |
| headers | object | Optional | headers |
| timeout | integer | Optional | TimeoutDefault: 90 |
| follow_redirects | boolean | Optional | Follow RedirectsDefault: True |
| force_refresh | boolean | Optional | Force RefreshDefault: False |
| include_raw_html | boolean | Optional | Include Raw HtmlDefault: False |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/scrape/light \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"method": "example_method",
"timeout": 90,
"follow_redirects": false
}'Response Example
JSON
{
"url": "example",
"status_code": 0,
"content": "example",
"title": "example",
"published_at": "example",
"author": "example"
}POST /api/v1/scrape/ocr
POST
/api/v1/scrape/ocrScrape (OCR mode) [DEPRECATED]
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | Url |
| language | string | Optional | LanguageDefault: eng |
| force_refresh | boolean | Optional | Force RefreshDefault: False |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/scrape/ocr \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"language": "example_language",
"force_refresh": false
}'Response Example
JSON
{
"url": "example",
"status_code": 0,
"content": "example",
"title": "example",
"published_at": "example",
"author": "example"
}POST /api/v1/scrape/pdf
POST
/api/v1/scrape/pdfScrape (PDF mode) [DEPRECATED]
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | Url |
| format | string | Optional | FormatDefault: markdown |
| force_refresh | boolean | Optional | Force RefreshDefault: False |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/scrape/pdf \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"format": "example_format",
"force_refresh": false
}'Response Example
JSON
{
"url": "example",
"status_code": 0,
"content": "example",
"title": "example",
"published_at": "example",
"author": "example"
}